/*
 * Component:  common
 *
 * Purpose:
 *	    Types and defines for processing DICOM files
 *
 * Last Updated     : $Author$
 * Update Date Time : $Date$
 * RCS File Name    : $RCSfile$
 * RCS Revision     : $Revision$
 * Locked by        : $Locker$
 * Symbolic name    : $Name$
 * State            : $State$
 */
#ifndef DICOMDEFINE_H_INCLUDED_
#define DICOMDEFINE_H_INCLUDED_

#ifndef IMGPROC_NO_DCMTK
#include "dcmtk/dcmdata/dctypes.h"
#endif //IMGPROC_NO_DCMTK

#define PRACTICE_BUILDER_TAG 0xf215
#define IMAGE_REF 0xbaba
#define ACTUAL_BITS_USED 0xdada

/** Photometric Interpretation Type */
typedef enum {
	PI_RGB,
	PI_MONOCHROME,
	PI_PALETTECOLOR,
	PI_HSV,
	PI_ARGB,
	PI_CYMK,
	PI_YBR_FULL,
	PI_YBR_FULL_422,
	PI_YBR_PARTIAL_422,
	PI_YBR_RCT,
	PI_YBR_ICT
} PI_TYPE;

/** Image Type and Planar Configuration */
typedef enum {
	DIT_RawPerPixel,
	DIT_RawPerPlane,
	DIT_Monochrome,
	DIT_Monochrome12,
	DIT_Monochrome16,
	DIT_JpegReference
//	,DIT_Jpeg
} ImageType;

/*
typedef struct
{
	char m_cPatientOrientationX;
	char m_cPatientOrientationY;
	double m_dImagePosition[3];
	double m_dImageOrientationX[3];
	double m_dImageOrientationY[3];
} PatientOrientationInfo;

typedef struct
{
	Uint16	m_nRows,
			m_nColumns,
			m_nSamplesPerPixel,
			m_nBitsAllocated,
			m_nBitsStored,
			m_nHighBit,
			m_nPixelRepresentation,
			m_nPlanarConfiguration,
			m_nLargestImagePixelValue,
			*m_pActualBitsUsed;

	PI_TYPE m_PhotometricInterpretation;
	int m_isInverse; // if MONOCHROME1

	double	m_dWindowCenter;
	double	m_dWindowWidth;
	double	m_dRescaleIntercept;
	double	m_dRescaleSlope;

	Uint16	m_nFrameNumber;
	Uint16  *m_pFrames;
	bool m_bAreSlices;

	PatientOrientationInfo m_PatientOrientation;	// CsZ 00/01/03

	double m_dPixelSpacingX;	// CsZ 99/10/28
	double m_dPixelSpacingY;	// CsZ 99/10/28

	char *m_pSeriesID;
	char *m_pSeriesNumber;		// CsZ 99/10/21
	char *m_pImageNumber;		// CsZ 99/10/21
	char *m_pImageType;			// CsZ 00/01/03
	char *m_pModality;      // LG 01/05/25
	Sint32 m_nSeriesNumber;

	int m_nNumberOfImages;

	ImageType m_ImageType;
} DicomImageInfo;
*/
#endif
