/**
 * Component: 
 *
 * Description:
 * 
 *
 * Last Updated     : $Author: $
 * Update Date Time : $Date: $
 * RCS File Name    : $RCSfile: $
 * RCS Revision     : $Revision: $
 * Locked by        : $Locker: $
 * Symbolic name    : $Name: $
 * State            : $State: $
 */
#ifndef DEBUGLOGGER_H_
#define DEBUGLOGGER_H_

#include <sys/types.h>
#include <sstream>
#include <jni.h>


class DebugLogger
{
	int m_Fd;
	bool m_bCallFromCreateJavaVM;

	std::string demangle(char* symbolName);
	void writeCommon(std::ostringstream& ss, const char* message);
	void writeNativeStack(std::ostringstream& ss);
	void writeJavaStack(std::ostringstream& ss, JNIEnv* pEnv);
public:
	DebugLogger(const char* filename);
	~DebugLogger();
	void log(const char* message);
};


class LocalLog
{
	DebugLogger& m_Logger;
	std::ostringstream m_ss;
public:
	LocalLog(DebugLogger& logger);

	template <class T>
	LocalLog& operator<<(const T& value);

	LocalLog& operator<< (std::ostream& (*pf)(std::ostream&));
};

template <class T>
LocalLog& LocalLog::operator<<(const T& value)
{
	m_ss << value;
	return *this;
}

#endif /* DEBUGLOGGER_H_ */
