#ifndef _IQMATH_H_
#define _IQMATH_H_

#include <cmath>

class IQSizeCalulator {

	private:

		float m_fImageStreamMinImageRatio;
		int m_nImageStreamBaseFileSize;
		int m_nImageStreamMinResolution;
		float m_fImageStreamLinearSizeFactor;
		float m_fImageStreamExponentSizeFactor;

	public:

		IQSizeCalulator() {
			m_fImageStreamMinImageRatio = 8;
			m_nImageStreamBaseFileSize = 8192; //3584;//3072; //16 * 1024;
			m_nImageStreamMinResolution = 256;
			m_fImageStreamLinearSizeFactor = 1.0f; //0.25f;
			m_fImageStreamExponentSizeFactor = 0.6f; //1.f;
		}

		int CalcCmpIQSize( int imgW, int imgH, int bitsPerPixel, int fullWLRange, int viewW, int viewH, int viewWLRange ) {

			// TODO check change
			int nBaseCompSize = m_nImageStreamBaseFileSize;
			int nMinSize = m_nImageStreamMinResolution;
			nMinSize = nMinSize * nMinSize;

			float fFactor = m_fImageStreamExponentSizeFactor;
			float fLinearFactor = m_fImageStreamLinearSizeFactor;

			// TODO get view size;
			int nViewSize = fmax( nMinSize, viewW * viewH /*GetViewArea( pTileImg)*/);
			float fBitFactor = GetViewBitsScale( imgW, imgH, bitsPerPixel, fullWLRange, viewWLRange /*pTileImg*/);

			int nBaseSize = (int) ( ( 1.0 + ( powf( (float) ( nViewSize / (float) nMinSize - 1 ), fFactor ) * fLinearFactor ) )
					* nBaseCompSize * fBitFactor );

			return nBaseSize;
		}

	private:

		float GetViewBitsScale( int imgW, int imgH, int bitsPerPixel, int fullWLRange, int viewWLRange/*CTileImg *pTileImg*/) {
			float dBitFactor = (float) bitsPerPixel / 8.0f; //(double)(GetBitsUsed() * GetSamplesPerPixel()) / 8.0;

			float dFullRangeWindow = fullWLRange; //GetDefaultWLWindow();// m_BestLightSetting2[1].m_dWindow; // 95%
			float dMinTileWindow = viewWLRange;

			if ( dFullRangeWindow == 0 )
				return dBitFactor;

			/*
			 if (pTileImg != nullptr) {
			 dMinTileWindow	= pTileImg->GetLightWindow();
			 } else {

			 POSITION posTileImg			= GetFirstTileImgPosition();

			 if (posTileImg == nullptr) {
			 // TODO LUT
			 if (m_pInitialLightSetting->m_pVOILUT == nullptr) {
			 dMinTileWindow	= m_pInitialLightSetting->m_dWindow;
			 }
			 }

			 while (posTileImg != nullptr)
			 {
			 CTileImg* pTileImg = GetNextTileImg( posTileImg);
			 ASSERT(pTileImg != NULL);

			 double dCurrentWindow	= pTileImg->GetLightWindow();
			 if (dCurrentWindow < dMinTileWindow)
			 dMinTileWindow	= dCurrentWindow;
			 }
			 }
			 */

			if ( dMinTileWindow >= dFullRangeWindow ) {
				return dBitFactor;
			}

			return dBitFactor * fmin( 4, dFullRangeWindow / dMinTileWindow );
		}

};

#endif //_IQMATH_H_
