#!/bin/bash

. $HOME/etc/setenv.sh

if [  -z "$1" ] ; then
    exit 1
fi

# if we are a Replica server AND it's the DATA_DICOM_REPOSITORY, don't do anything
Replica="no"
[ -f $CONF/self.rec ] && . $CONF/self.rec
if [ "$Replica" = "yes" ] && [ "$1" = "$REPOSITORY_DATA_DICOM" ] ; then
	echo "Replica server on DATA repository, doing nothing"
	exit 0
fi 


# Check if built-in nice config exists and get nice value
 if [ -f "$CASES_HOME/cfg/nices.conf" ] ; then
    . "$CASES_HOME/cfg/nices.conf"
 fi
		
# Check if custom nice config exists (it will override built-in nice config if exists) and get nice value
if [ -f "$CONF/nices.conf" ] ; then
    . $CONF/nices.conf
fi	

$REPOSITORYHANDLER_HOME/bin/checkOverload $1 $2 >/dev/null 2>&1 &

thepid=$!

[ -n "$CHECKOVERLOAD_NICE" ] && renice $CHECKOVERLOAD_NICE $thepid