#!/bin/bash
#
# Component: tools
#
# Description:
#   Generates the replace to sql scripts from the database. If it exist will not generate new (default) 
#
# Usage:
#   createSQLfromArchive.sh [-o] [-s <studyIUID>]
#
#		    -o        : create the replace into sql script, no matter if it is exist 
#		    -s        : create the replace into sql script only for the specified study
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh



usage_() {
	[ -n "$1" ] && echo "$1" >&2
	cat <<-ENDOFUSAGE
	 createSQLfromArchive.sh [-o] [ -s <studyUID>]

		    -o        : create the REPLACE INTO sql script, no matter if it is exist 
		    -s        : create the REPLACE INTO sql script only for the specified study
	ENDOFUSAGE

	exit 1
}


overwrite="false"
studydir=""
params=""

while getopts 'os:' OPT; do
	case $OPT in
	s) studydir="$OPTARG" 
	   params=$params" -s "$studydir;;
	o) overwrite="true" 
	   params=$params" -o ";;
	*) usage_ "Invalid Parameter: $OPT" ;;
	esac
done
				
shift $(( $OPTIND - 1 ))
[ -n "$1" ] && usage_ "Invalid argument: $1"


$TASKD_HOME/runjavacmd -c "0 archive.CreateSQLScript $params" -p $JAVA_SERVER_PORT 2>/dev/null

