#!/bin/bash
# customsettings.sh
# apply custom settings (database schema)
# use it after medsrv install
# Usage:
#    customsettings.sh -s schema  
#
# Usable schemas: radnet
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$

. $HOME/etc/setenv.sh

SCHEMA=""

while getopts "s:" Option ; do
	case $Option in
		s) SCHEMA=$OPTARG;;
	esac
done

if [ -z "$SCHEMA" ] ; then
	echo Usage:
	echo   customsettings.sh -s schema (example: -s radnet)
	echo
	exit 1;
fi


# copy database schema files
cp $CASES_HOME/cfg/database_schemas/$SCHEMA/* $CONF/
Err=$?

exit $Err
