#!/bin/bash
#
# Resends DICOM objects with STORELEVEL other than 'C' to Parent Dot-com server
# or to Archive. whatever is configured.
#
#  Last Modified by : $Author$
#  Last Modified at : $Date$
#  RCS File Name    : $RCSfile$
#  RCS Revision     : $Revision$
#  Locked by        : $Locker$
#  Symbolic name    : $Name$
#  State            : $State$
#

. $HOME/etc/setenv.sh


PARENT=`echo "select ID from $TARGETTBL where TYPE='P';" | \
$MYSQL_HOME/bin/mysql -N $DBNAME 2>/dev/null`

if [ -z "$PARENT" ] ; then

	Archive="no"
	[ -f "$ARCHIVE_VAR/archive.cfg" ] && . $ARCHIVE_VAR/archive.cfg
	if [ $Archive != "yes" ] ; then
		echo "No parent server and no Archive has been set."
		exit 1
	fi

	echo "select STYIUID, FNAME from $OBJECTTBL where STORELEVEL <> 'C';" | \
	$MYSQL_HOME/bin/mysql -N $DBNAME 2>/dev/null | \
	while read study fname ; do
		echo Reforwarding $study $fname

		$ARCHIVE_HOME/put.sh -s "$study" -f "$fname"
	done

else

	# iterate through the studies and resend P's and B's

	echo "select distinct Dcstudy.STYIUID from $STUDYTBL,$OBJECTTBL where Dcstudy.STYIUID=Dcobject.STYIUID AND STORELEVEL <> 'C';" | \
	$MYSQL_HOME/bin/mysql -N $DBNAME 2>/dev/null | \
	while read study ; do
		echo Reforwarding $study

		$CASES_HOME/dcfwd.sh -H $PARENT -s $study -u system
	done

fi
