#!/bin/bash
#
# Component: tools
#
# Description:
#   Stat post-processing module for objects reheated
#
# Usage:
#
#    post_reheat.sh [options]
#
#       -f returns the logfile used
#       -p returns the stat properties it creates
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$


if [ "$1" == "-f" ] ; then
  echo oper_info.log
  exit
elif [ "$1" == "-p" ] ; then
  echo "obj_reheated
obj_reheat_failed"
  exit
fi

if [ "$1" == "-d" ] ; then
  gdate=`date -d $2 +"%b %e"`
else
  gdate=`date +"%b %e"`
fi

 grep -a "reheat" | grep -a "^$gdate" | gawk '
$7=="OBJECT" {
  if ($8=="reheat") {
    u = $3; split(u,tm,":");
    t=tm[1] ":" tm[2];  // minutes

    if ($6=="INFO") succ[t]++;
    if ($6=="ERROR") fail[t]++;
  }
}

$8=="OBJECT" {
  if ($9=="reheat") {
    u = $3; split(u,tm,":");
    t=tm[1] ":" tm[2];  // minutes
    
    if ($7=="INFO") succ[t]++;
    if ($7=="ERROR") fail[t]++;
  }
}
  
END {
  for (h=0;h<24;h++) for (m=0;m<60;m++) {
    t=sprintf("%02d:%02d",h,m);
    printf("monitorSTART=xxxx/xx/xx %s:00\n",t);
    printf("obj_reheated=%d\n",succ[t]);
    printf("obj_reheat_failed=%d\n",fail[t]);
    }
} '
