#!/bin/bash
#
# Checks if refocunt mode could be set to Database
#
NoMoreFileRefcountMsg="All reference counters have been moved to database storage. For optimal performance it is recommended to restart the system running the 'rc stop', 'rc config' and 'rc start' commands at the earliest convenience."

. ${HOME}/etc/setenv.sh

[ "${RefCountValue}" == "Database" ] && exit 0

echo "Checking if there are file refcounts left"
 
for refCountDir in $VAR/refcount/*/ ; do
    rmdir $refCountDir >/dev/null 2>&1
done
rmdir $VAR/refcount >/dev/null 2>&1

if [ ! -d $VAR/refcount ]; then
    # no file refcounts were found
	echo "No file refcounts were found"
 
    ${HOME}/component/imadmin/sendmessage.sh -admins -important -message "${NoMoreFileRefcountMsg}"
    echo "Message to admins was sent: ${NoMoreFileRefcountMsg}"
    [ $? -eq 0 ] && crontab -l | grep -v 'checkRefcountMode.sh'  | crontab -
    echo "Crontab adjusted"
    exit 0
fi

echo "There are file refocunts still"
